/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/*a {
    color: #a130a9 !important;
}*/

/* BOTON */

.um a.um-button, .um a.um-button.um-disabled:active, .um a.um-button.um-disabled:focus, .um a.um-button.um-disabled:hover, .um input[type=submit].um-button, .um input[type=submit].um-button:focus{
	 border: 2px solid #a130a9 !important;
    border-radius: 100px !important;
    background-color: #a130a9 !important;
    color: white !important;
    margin-left: 1em !important;
	font-family: "Roboto",Sans-serif !important;
    font-weight: 500 !important;
}

/* HOME TIENDA */


figure.wp-caption a{
	width:100% !important;
}

/**/

span.eael-onsale.outofstock.sale-preset-3 {
    display: none;
}


.coupon.wl-ci-coupon{
	width:50% !important;
}

button.button.wl-ci-coupon-button{
	width: 40% !important;
}

/* FAVORITOS */

table.shop_table.cart.wishlist_table.wishlist_view.traditional.responsive{
	color: #333333 !important;
	text-align:center !important;
} 

table.shop_table.cart.wishlist_table.wishlist_view.traditional.responsive th{
	display:none !important;
}

/* CARRITO */

a#elementor-menu-cart__toggle_button small.tax_label{
	display:none !important;
}



/* MI CUENTA - PEDIDOS */

/*.woocommerce table.shop_table*/
table.woocommerce-orders-table.woocommerce-MyAccount-orders.shop_table.shop_table_responsive.my_account_orders.account-orders-table{
    color: #575756 !important;
    padding: 1em !important;
}

.woocommerce table.shop_table_responsive tr, .woocommerce-page table.shop_table_responsive tr{
	margin-bottom:1em;
	    border: 1px solid #333333;
    padding: 1em;
}

.woocommerce table.shop_table_responsive tr:nth-child(2n) td, .woocommerce-page table.shop_table_responsive tr:nth-child(2n) td{
	background-color:transparent !important;
}

.woocommerce table.my_account_orders .button {
    white-space: nowrap;
    border: 2px solid #a130a9;
    border-radius: 100px;
    background-color: #a130a9;
    color: white;
    margin-left: 1em;
	font-family: "Roboto",Sans-serif;
    font-weight: 500;
}

.woocommerce table.my_account_orders .button:hover{
	background-color: transparent;
    color: #a130a9;
}

section.woocommerce-order-downloads, section.woocommerce-order-details {
    background-color: transparent !important;
    padding-top: 0.5em !important;
}

/* TWITTER */

.eael-twitter-feed-9be160c.eael-twitter-feed-masonry.eael-twitter-feed-col-2 .eael-twitter-feed-item {
    width: 100% !important;
}

.eael-twitter-feed-item-inner img{
	width:100% !important;
	height:396px !important;
	object-fit: cover;
}

/* LINEAS */

.wl .coupon.wl-ci-coupon input.wl-ci-coupon-field, input[type=text] {
	border-radius: 0px !important;
}

/* BUSCADOR */

.dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input{
	border: 0px !important;
	border-radius:100px !important;
}

.dgwt-wcas-sf-wrapp button.dgwt-wcas-search-submit{
		border-radius:100px !important;
background-color:transparent !important;
}
.dgwt-wcas-sf-wrapp .dgwt-wcas-search-submit:before{
	display:none;
}

/* BORRAR CUENTA */

.borrar-cuenta a{
	background-color: transparent;
    border: 2px solid #a130a9;
    padding: 1em 2em;
    border-radius: 100px;
	color:#a130a9;
	text-transform:uppercase;
	font-family: 'Gobold Regular' !important;
}
.borrar-cuenta a:hover{
	background-color: #a130a9;
    border: 2px solid #a130a9;
	color:white !important;
}

/* NOSOTROS */

.elementor-44 .elementor-element.elementor-element-151b5b2 .elementor-field-group:not(.elementor-field-type-upload) .elementor-field:not(.elementor-select-wrapper){
	border-color:white !important;
}

/* CONTACTO */

.elementor-138 .elementor-element.elementor-element-19a46894 .elementor-button, .elementor-138 .elementor-element.elementor-element-9021bc4 .elementor-button, .elementor-138 .elementor-element.elementor-element-ec9b430 .elementor-button, .elementor-138 .elementor-element.elementor-element-baf7765 .elementor-button{
	color:white !important;
	border:2px solid #a130a9;
}

.elementor-138 .elementor-element.elementor-element-19a46894 .elementor-button:hover, .elementor-138 .elementor-element.elementor-element-9021bc4 .elementor-button:hover, .elementor-138 .elementor-element.elementor-element-ec9b430 .elementor-button:hover, .elementor-138 .elementor-element.elementor-element-baf7765 .elementor-button:hover{
	color:#a130a9  !important;
	background-color:transparent !important;
}

.elementor-138 .elementor-element.elementor-element-19a46894 .elementor-button:focus, .elementor-138 .elementor-element.elementor-element-9021bc4 .elementor-button:focus, .elementor-138 .elementor-element.elementor-element-ec9b430 .elementor-button:focus, .elementor-138 .elementor-element.elementor-element-baf7765 .elementor-button:focus{
		border:2px solid #2ce0ea;
background-color:#2ce0ea !important;
}

input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea{
	border-top: 0px !important;
    border-left: 0px !important;
    border-right: 0px !important;
    border-bottom: 1px solid #666 !important;
}


/* REGISTRO / INICIAR SESION */

.woocommerce button.button{
	padding: 1em 2em !important;
    border-radius: 100px !important;
    color: #ffffff !important;
    background-color: #a130a9 !important;
    font-family: 'Gobold Regular' !important;
    text-transform: uppercase !important;
	border:2px solid #a130a9;
}

.woocommerce button.button:hover{
	 color: #a130a9 !important;
    background-color: transparent !important;
}

#customer_login h2{
	font-family: 'Gobold Regular' !important;
    text-transform: uppercase !important;
    color: #a130a9;
}

.wl-my-account-left .woocommerce{
	display:block !important;
}

/* MENU - CARRITO */

a#elementor-menu-cart__toggle_button span.elementor-button-icon
{
	margin-right:1em !important;
}

/* FINALIZAR COMPRA PEDIDO REALIZADO*/

p.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received{
	background-color: #a130a9 !important;
    color: white !important;
    padding: 1em !important;
    margin-top: 3em !important;
}

table.woocommerce-table.woocommerce-table--order-downloads.shop_table.shop_table_responsive.order_details th, table.woocommerce-table.woocommerce-table--order-downloads.shop_table.shop_table_responsive.order_details td, table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details th, table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details td, table.woocommerce-table.woocommerce-table--custom-fields.shop_table.custom-fields th, table.woocommerce-table.woocommerce-table--custom-fields.shop_table.custom-fields td{
	color: black !important;
}

h2.woocommerce-order-downloads__title, h2.woocommerce-order-details__title{
	   font-family: 'Gobold' !important;;
    text-transform: uppercase !important;;
}

p.order-again a{
	
}

/* VIDEO PRODUCTO */

.vp-title {
    display: none !important;
}

.ywcfav-video-content._4_3 {
    padding-bottom: 56% !important;
}

/* LISTA DE DESEOS */

.yith-wcwl-add-button{
	text-align:right !important;
}

.woocommerce div.product .yith-wcwl-add-button{
    display: block!important;
}

.wishlist_table .product-add-to-cart a {
    background-color: #a437ac !important;
    border: 2px solid #a437ac !important;
    border-radius: 100px !important;
    padding: 1em 2em !important;
    color: white !important;
    font-family: 'Gobold Regular' !important;
    text-transform: uppercase !important;
}
.wishlist_table .product-add-to-cart a:hover{
    background-color: transparent !important;
    color: #a437ac !important;
}

/* MI CUENTA */

.woocommerce-MyAccount-navigation {
    display: none;
}
.woocommerce-MyAccount-content {
    width: 100% !important;
}

/*.woocommerce button.button, .woocommerce a.button{
	color: #ffffff !important;
    background-color: #a130a9 !important;
    font-family: 'Gobold Regular' !important;
    text-transform: uppercase !important;
	border-radius:100px !important;
	border: 2px solid #a130a9 !important;
}*/


/* FINALIZAR COMPRA */

table.shop_table.woocommerce-checkout-review-order-table{
    color: #575756 !important;
}

.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt {
    background-color: #a130a9;
	border:2px solid #a130a9;
	    padding: 1em 2em;
    border-radius: 100px;
    color: #fff;
    -webkit-font-smoothing: antialiased;
    font-family: "Gobold Regular";
    text-transform: uppercase;
	font-weight: normal;
}

.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover{
	 background-color: transparent;
	border:2px solid #a130a9;
	color:#a130a9;
}

/* CARRITO */

a.restore-item, a.showcoupon, a.woocommerce-privacy-policy-link{
	color: #a130a9 !important;
}

.woocommerce-error, .woocommerce-info, .woocommerce-message{
	    border-top-color: #a130a9 !important;
}

.woocommerce-message::before, .woocommerce-info::before, .woocommerce-error::before {
    color: #a130a9 !important;
}

.wl .elementor-7 .elementor-element.elementor-element-80a6907 .button.wl-ci-coupon-button:hover{
	color: var( --e-global-color-primary ) !important;
}


/* PRODUCTO */

.product a p{
	color:#54595f !important;
}

.woocommerce .elementor-widget-woocommerce-product-price .price{
	color: #a22fa9 !important;
}

.woocommerce div.product .out-of-stock {
    color: #e7243b;
    background-color: #eeeeee;
    padding: 1em;
    border-radius: 100px;
    text-align: center;
	  margin-top: 1em;
}

.woocommerce div.product.elementor .quantity .qty {
    vertical-align: top;
    margin-right: 0;
    border: 1px solid #a130a9 !important;
    border-radius: 100px;
    padding: 1em;
}

table{
	font-size:1em !important;
	text-align:left !important;
		color:white !important;
	border:0px !important;
	padding-left:0px !important;
	margin-left:0px !important;
font-family:'Montserrat', sans serif;
}

.woocommerce table.shop_attributes{
	border:0px !important;
	margin:0px !important;
}

table tbody>tr:nth-child(odd)>td, table tbody>tr:nth-child(odd)>th{
	background-color:transparent !important;
	border:0px !important;

}

.woocommerce table.shop_attributes th{
	border-bottom:0px !important
}

table td, table th{
	border:0px !important;
	padding-left:0px !important;
	margin-left:0px !important;
}

.woocommerce table.shop_attributes td{
	font-style:normal !important;
}

.woocommerce table.shop_attributes tr:nth-child(even) td, .woocommerce table.shop_attributes tr:nth-child(even) th {
    background: transparent !important;
}

.single-product .woocommerce-product-gallery .woocommerce-product-gallery__trigger {
display: none !important;
}

.categorias-producto a{
	color:white !important;
	font-weight:400 !important;
}

/* MI CUENTA */

#customer_login.u-columns.col2-set .u-column1.col-1, #customer_login.u-columns.col2-set .u-column2.col-2{
	 width: 46%;
    float: left;
    margin-right: 4%;
}
@media only screen and (max-width: 600px) {
#customer_login.u-columns.col2-set .u-column1.col-1, #customer_login.u-columns.col2-set .u-column2.col-2{
	width:100% !important;
}
	
	.elementor-9 .elementor-element.elementor-element-9c8458d>.elementor-element-populated {
    padding: 1em;
}
}

.elementor-9 .elementor-element.elementor-element-9c8458d {
        width: 100%;
    }


.cf7-columns {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
  }
  .cf7-column {
    flex: 1 1 calc(50% - 20px);
    min-width: 250px;
  }
  .cf7-full {
    flex: 1 1 100%;
  }
  .cf7-columns label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
  }
  .cf7-columns input,
  .cf7-columns select {
    width: 100%;
    padding: 6px;
    margin-bottom: 10px;
  }


input.wpcf7-form-control.wpcf7-submit.has-spinner {
    font-family: "Gobold Regular", Sans-serif;
    font-size: 1em;
    font-weight: normal;
    text-transform: uppercase;
    border-style: solid;
    border-width: 2px 2px 2px 2px;
    border-radius: 100px 100px 100px 100px;
    padding: 1em 1em 1em 1em;
    background-color: var(--e-global-color-accent);
    color: #fff;
}


input.wpcf7-form-control.wpcf7-submit.has-spinner:hover {
    background-color: #02010100;
    color: var(--e-global-color-primary);
}

h3.cf7-column.cf7-full {
    background-color: #F2F2F2;
    margin: 0em 0em 2em 0em;
    padding: 0.5em 0.5em 0.5em 0.5em;
    font-family: "Gobold Regular", Sans-serif;
    font-size: 1.5em;
    font-weight: 600;
    color: var(--e-global-color-f146717);
}



/* CONTENEDOR (borde rosa) */
.cf7-info-host .cf7-info,
.cf7-info {

  padding: 14px;
  box-sizing: border-box;
}

/* CAMPOS */
.cf7-info__fields .wpcf7-form-control-wrap {
  display: block;
}

.cf7-info__fields input[type="text"],
.cf7-info__fields input[type="email"],
.cf7-info__fields input[type="tel"]{
  width: 100%;
  height: 58px;
  background: transparent;
  border: none;
  border-bottom: 1px solid #fff !important;
  padding: 0 18px;
  color: #fff;
  font-weight: 700;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  outline: none;
  box-shadow: none;
  border-radius: 0;
}

.cf7-info__fields input::placeholder{
  color: rgba(255,255,255,0.65);
  font-weight: 700;
  text-transform: uppercase;
}

/* quita la línea inferior del último campo si quieres que quede “limpio” */
.cf7-info__fields .wpcf7-form-control-wrap:last-child input{
  border-bottom: 1px solid rgba(0,0,0,0.35);
}

/* ZONA INFERIOR: checkbox izquierda + botón derecha */
.cf7-info__bottom{
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  padding-top: 14px;
}

/* CHECKBOX + TEXTO */
.cf7-info__privacy{
  color: #fff;v
  font-weight: 800;
  letter-spacing: 0.4px;
  text-transform: uppercase;
  font-size: 10px;
}

.cf7-info__privacy a{
  color: #fff;
  text-decoration: underline;
  font-size: 10px;
}

.cf7-info__privacy .wpcf7-list-item{
  margin: 0; /* CF7 mete márgenes por defecto */
}

.cf7-info__privacy input[type="checkbox"]{
  width: 14px;
  height: 14px;
  margin-right: 10px;
  transform: translateY(2px);
  accent-color: #ffffff; /* navegadores modernos */
}

/* BOTÓN “PÍLDORA” */
.cf7-info__submit{
  background: #fff;
  color: #7c2a85;           /* morado del texto */
  border: none;
  border-radius: 999px;
  padding: 16px 34px;
  font-weight: 900;
  letter-spacing: 0.6px;
  text-transform: uppercase;
  cursor: pointer;
  white-space: nowrap;
}

/* Hover: fondo blanco */
 .cf7-info input.wpcf7-form-control.cf7-info__submit:hover,
  .cf7-info input.wpcf7-form-control.cf7-info__submit:focus{
  background: #fff;
  color: #7c2a85;
  filter: none;
}

/* MENSAJES CF7 (opcional) */
.cf7-info .wpcf7-response-output{
  color: #fff;
  border-color: rgba(255,255,255,0.5);
  margin: 14px 0 0;
}

/* RESPONSIVE */
@media (max-width: 640px){
  .cf7-info__bottom{
    flex-direction: column;
    align-items: stretch;
  }
  .cf7-info__submit{
    width: 100%;
    text-align: center;
  }
